%global __requires_exclude pear\\(smarty_internal_parsetree.php\\)
%define srcname Smarty

Name:		php-smarty
Version:	3.1.21
Release:	%mkrel 2
Summary:	The compiling PHP template engine
License:	LGPL
Group:		Development/Other
Url:		http://www.smarty.net/
Source0:	http://www.smarty.net/files/%{srcname}-%{version}.tar.gz
Source1:	http://www.smarty.net/files/docs/manual-en-3.1.8.zip
Source2:	smarty.gif
BuildArch:	noarch
Conflicts:  php-smarty2

%description
Smarty is a template engine for PHP.  More specifically, it facilitates a
manageable way to separate application logic and content from its presentation.
This is best described in a situation where the application programmer and the
template designer play different roles, or in most cases are not the same
person.

For example, let's say you are creating a web page that is displaying a
newspaper article.

- The article headline, tagline, author and body are content elements, they
  contain no information about how they will be presented.  They are passed
  into Smarty by the application,

- then the template designer edits the templates and uses a combination of HTML
  tags and template tags to format the presentation of these elements (HTML
  tables, background colors, font sizes, style sheets, etc.)

- One day the programmer needs to change the way the article content is
  retrieved (a change in application logic.)  This change does not affect the
  template designer, the content will still arrive in the template exactly the
  same.

- Likewise, if the template designer wants to completely redesign the
  templates, this requires no changes to the application logic.

- Therefore, the programmer can make changes to the application logic without
  the need to restructure templates, and the template designer can make changes
  to templates without breaking application logic. 

%package doc
Summary:	The HTML manual for Smarty
Group:		Documentation
Obsoletes:	%{name}-manual

%description doc
The HTML manual for Smarty

%prep
%setup -q -n %{srcname}-%{version} -a1

%build

%install
mkdir -p %{buildroot}%{_datadir}/php/%{srcname}
mkdir -p %{buildroot}%{_var}/www/icons

cp -aRf libs/* %{buildroot}%{_datadir}/php/%{srcname}
install -m0644 %{SOURCE2} %{buildroot}/var/www/icons/smarty.gif

# fix attribs
find %{buildroot}%{_datadir}/php/%{srcname} -type d -exec chmod 755 {} \;
find %{buildroot}%{_datadir}/php/%{srcname} -type f -exec chmod 644 {} \;

cd %{buildroot}%{_datadir}/php
ln -s %{srcname} ./smarty

%pretrans
[ -L %{_datadir}/php/smarty ] || rm -rf %{_datadir}/php/smarty

%files
%doc COPYING.lib README SMARTY*
%{_datadir}/php/%{srcname}
%{_datadir}/php/smarty
%{_var}/www/icons/smarty.gif

%files doc
%doc manual-en/*

%changelog
* Tue Mar 15 2016 bb <bb> 3.1.21-2pclos2016
- fix rpm group

* Sun Mar 13 2016 bb <bb> 3.1.21-1pclos2016
- update
